#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_11_0
RELENG_TAG=be159d20b068619a925f233d22c5371888088a23
CORE_TAG=ff5ee79db0c2234347cb3f956de9b31047f43613
RUBY_TAG=181ad1d6fe8cbec4ec61b7f2bb73542635f4369c
SHELL_TAG=6ac3a052181edc8d21cbdc2cbc090747feb6d348
TCL_TAG=a1addff7c34a8a76bae515aa51564ea0b2e8b039

mkdir -p $NAME-$TAG
pushd $NAME-$TAG

function dl() {
	while [ ! -f "$1-$2.tar.xz" ] ; do
		while ! wget https://git.eclipse.org/c/dltk/${1}.git/snapshot/${1}-${2}.tar.xz ; do
			sleep 1
		done
		if ! tar xfs "$1-$2.tar.xz" ; then
			rm "$1-$2.tar.xz"
		else
			mv "$1-$2" "$1"
		fi
	done
}

dl org.eclipse.dltk.releng $RELENG_TAG

dl org.eclipse.dltk.core $CORE_TAG

dl org.eclipse.dltk.ruby $RUBY_TAG

dl org.eclipse.dltk.tcl $TCL_TAG

dl org.eclipse.dltk.sh $SHELL_TAG

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
rm -f $NAME-$TAG.tar.xz $NAME-$TAG/*.tar.xz
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
rm -fr $NAME-$TAG
